package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAdvertiserStrategy;

import java.text.ParseException;

public interface IAiKuaishouCreateCreativeService {
    Long autoCreateCreative(AiKuaishouAdvertiserStrategy strategy, Integer createType, Long videoCnt);

    void autoCreateProgramCreative(AiKuaishouAdvertiserStrategy strategy, Integer createType, Long videoCnt);

    void customCreativeSupplement(AiKuaishouAdvertiserStrategy strategy, Integer hour) throws ParseException;

    void customCreativeLimit(AiKuaishouAdvertiserStrategy strategy);

    // 组创建是否超限
    Boolean getUnitOverrun(Long accountId);
}
